Skip to main content
GET
Get runs

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

run_id
string<uuid>
обязательно

Ответ

200 - application/json
id
string
обязательно
read-only
run_id
string
обязательно
read-only
session_id
string
обязательно
read-only
state
enum<string>
обязательно
  • queued - В очереди
  • running - Выполняется
  • completed - Завершено
  • cancelled - Отменено
  • failed - Ошибка
  • awaiting_approval - Ждёт подтверждения
Доступные опции:
queued,
running,
completed,
cancelled,
failed,
awaiting_approval
reason
enum<string>
обязательно
  • approval - ожидает подтверждения пользователя
  • cancelled - Отменён пользователем
  • quota - Исчерпан лимит
  • error - Ошибка выполнения
  • tenant_unresolved - Компания не определена
  • worker_lost - Воркер не отвечает
Доступные опции:
approval,
cancelled,
quota,
error,
tenant_unresolved,
worker_lost
source
enum<string>
обязательно
  • web - Веб
  • channel - Внешний канал
Доступные опции:
web,
channel
input
integer
обязательно
read-only
output
integer
обязательно
read-only
cache_write
integer
обязательно
read-only
cache_read
integer
обязательно
read-only
created_at
string<date-time>
обязательно
read-only
started_at
string<date-time> | null
обязательно
read-only
finished_at
string<date-time> | null
обязательно
read-only